//
//  CPANode.h
//  CocoaPacketAnalyzer
//
//  Created by franckej on 29.03.07.
//  Copyright Jens Francke. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface CPANode : NSObject {

}

// convenience method
+ (CPANode *)nodeWithName:(NSString *)aNodename;
+ (CPANode *)nodeWithName:(NSString *)aNodename value:(id)aValue;

// For headers: The headerLength in bytes
@property uint16_t		headerLength;

// For headers: if its a child we need to know the location, absolut to the parent header.
@property uint16_t		headerLocation;

// For headers: if its a child we want to know its parent
@property (assign) CPANode	*parent;

// The name of the node
@property (nonatomic,copy) NSString *nodeName;

// The value of the node
@property (nonatomic,copy) NSString *nodeValue;

// The children
- (void) addChild:(CPANode *)aChild;
@end
